Subject: Re: bug#60375: Unbound symbol `upstream-updater-latest' in tests/gnu-maintenance.scm
From: zimoun <[email-masked]>
To: Calvin Heim <[email-masked]>, [email-masked]
Date: Fri, 06 Jan 2023 12:02:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Thanks for your report.

On Wed, 28 Dec 2022 at 00:16, Calvin Heim <[email-masked]> wrote:

> I ran the test suite and tests/gnu-maintenance.scm is yielding errors of the
> pattern
>
> actual-error:
> + (unbound-variable
> +   #f
> +   "Unbound variable: ~S"
> +   (upstream-updater-latest)
> +   #f)

I think it is fixed by d7a9d72bb02a2a3b1a99183655bf878547116032.

--8<---------------cut here---------------start------------->8---
tests: Fix gnu-maintenance tests.

The regression was introduce with commit
a274a6a1acb99738f02de7b226e6a0d3883ec353 ("upstream-updater: Rename record
field.")

* tests/tests/gnu-maintenance.scm: ("latest-html-release, scheme-less URIs",
  "latest-html-release, no signature", "latest-html-release, signature"):
  Replace upstream-updater-latest by upstream-updater-import.

Reported-by: Ricardo Wurmus <[email-masked]>
--8<---------------cut here---------------end--------------->8---

Closing.  Feel free to reopen if I am missing something.

Cheers,
simon